import "./org_chart.less";
const OrgChart = () => {
  const data = [
    {
      depName: "镇武装部党委",
      depId: 1,
      userList: [
        {
          position: "武装部长",
          userName: "李部长",
          userId: 1,
        },
        {
          position: "教导员",
          userName: "王教导",
          userId: 2,
        },
      ],
      children: [
        {
          depName: " 武装力量党支部",
          depId: 2,
          children: [
            {
              depName: " 文武社区支部",
              depId: 3,
              children: [
                {
                  depName: " 一小组",
                  depId: 6,
                  userList: [
                    {
                      position: "一小组长",
                      userName: "一小组长",
                      userId: 6,
                    },
                    {
                      position: "二小组长",
                      userName: "二小组长",
                      userId: 8,
                    },
                    {
                      position: "战士",
                      userName: "王小三",
                      userId: 11,
                    },
                    {
                      position: "战士",
                      userName: "王小四",
                      userId: 12,
                    },
                    {
                        position: "二小组长",
                        userName: "二小组长",
                        userId: 8,
                      },
                      {
                        position: "战士",
                        userName: "王小三",
                        userId: 11,
                      },
                      {
                        position: "战士",
                        userName: "王小四",
                        userId: 13,
                      },
                  ],
                },
                {
                  depName: " 二小组",
                  depId: 7,
                  userList: [
                    {
                      position: "二小组长",
                      userName: "二小组长",
                      userId: 7,
                    },
                    {
                      position: "二小组长",
                      userName: "二小组长",
                      userId: 8,
                    },
                    {
                      position: "战士",
                      userName: "王小三",
                      userId: 11,
                    },
                    {
                      position: "战士",
                      userName: "王小四",
                      userId: 12,
                    },
                  ],
                },
              ],
              userList: [
                {
                  position: "文武社区支部书记",
                  userName: "书记名称",
                  userId: 3,
                },
              ],
            },
            {
              depName: " 花龙村支部",
              depId: 4,
              children: [
                {
                  depName: " 一小组",
                  depId: 7,
                  userList: [
                    {
                      position: "一小组长",
                      userName: "一小组长",
                      userId: 7,
                    },
                    {
                        position: "二小组长",
                        userName: "二小组长",
                        userId: 8,
                      },
                      {
                        position: "战士",
                        userName: "王小三",
                        userId: 11,
                      },
                      {
                        position: "战士",
                        userName: "王小四",
                        userId: 12,
                      },
                      {
                        position: "二小组长",
                        userName: "二小组长",
                        userId: 8,
                      },
                     
                      {
                        position: "战士",
                        userName: "王小四",
                        userId: 12,
                      },
                  ],
                },
                {
                  depName: " 二小组",
                  depId: 8,
                  userList: [
                    {
                      position: "二小组长",
                      userName: "二小组长",
                      userId: 8,
                    },
                    {
                      position: "战士",
                      userName: "王小三",
                      userId: 11,
                    },
                    {
                      position: "战士",
                      userName: "王小四",
                      userId: 12,
                    },
                    {
                      position: "战士",
                      userName: "王小五",
                      userId: 13,
                    },
                  ],
                },
              ],
              userList: [
                {
                  position: "花龙村支部书记",
                  userName: "书记名称",
                  userId: 4,
                },
              ],
            },
            {
              depName: " 云华社区支部",
              depId: 5,
              children: [
                {
                  depName: " 一小组",
                  depId: 8,
                  userList: [
                    {
                      position: "一小组长",
                      userName: "小组长",
                      userId: 8,
                    },
                    {
                      position: "战士",
                      userName: "王喜哦",
                      userId: 12,
                    },
                    {
                      position: "战士",
                      userName: "王喜吃",
                      userId: 13,
                    },
                  ],
                },
                {
                  depName: " 二小组",
                  depId: 9,
                  userList: [
                    {
                      position: "二小组长",
                      userName: "小组长",
                      userId: 9,
                    },
                    {
                      position: "战士",
                      userName: "王小二",
                      userId: 10,
                    },
                    {
                      position: "战士",
                      userName: "王小三",
                      userId: 11,
                    },
                    {
                      position: "战士",
                      userName: "王小四",
                      userId: 12,
                    },
                    {
                      position: "战士",
                      userName: "王小五",
                      userId: 13,
                    },
                  ],
                },
              ],
              userList: [
                {
                  position: "云华社区支部书记",
                  userName: "书记名称",
                  userId: 5,
                },
              ],
            },
          ],
        },
      ],
    },
  ];

  const renderTree = (list: Array<any>) => {
    return (
      <div className="orgsBox">
        {list?.map((v, _) => {
          if (v.children) {
            return (
              <div key={v.depName} className="orgs">
                {v.depId !== 2 ? (
                  <span
                    style={{
                      display: "inline-block",
                      width: "20px",
                      marginLeft: 15,
                      color: "#fff",
                    }}
                  >
                    {v.depName}
                  </span>
                ) : null}
                {v.depId === 1 ? (
                  <div>
                    {v.userList?.map((v1, _) => {
                      return (
                        <div key={v1.userName} className="userNmaeBox">
                          <img
                            height={60}
                            src="https://img0.baidu.com/it/u=2135939479,1633462316&fm=253&fmt=auto&app=138&f=JPEG?w=500&h=500"
                            alt=""
                          />
                          <span className="userNmae">{v1.userName}</span>
                        </div>
                      );
                    })}
                  </div>
                ) : (
                  v.userList?.map((v1, _) => {
                    return (
                      <div key={v1.userName} className="userNmaeBox">
                        <img
                          height={60}
                          src="https://img0.baidu.com/it/u=2135939479,1633462316&fm=253&fmt=auto&app=138&f=JPEG?w=500&h=500"
                          alt=""
                        />
                        <span className="userNmae">{v1.userName}</span>
                      </div>
                    );
                  })
                )}
                {v.depId !== 2 ? (
                  <div className="line" style={{ width: 130 }}></div>
                ) : null}
                {renderTree(v.children)}
              </div>
            );
          }
          return (
            <div key={v.depName} style={{ paddingLeft: 20, display: "flex" }}>
              {v.userList?.map((v1, _) => {
                return (
                  <div key={v1.userName} className="userNmaeBox">
                    <img
                      height={60}
                      src="https://img1.baidu.com/it/u=1746619441,3368766734&fm=253&fmt=auto&app=138&f=JPEG?w=400&h=400"
                      alt=""
                    />
                    <span className="userNmae">{v1.userName}</span>
                  </div>
                );
              })}
            </div>
          );
        })}
      </div>
    );
  };
  return <div>{renderTree(data)}</div>;
};

export default OrgChart;
