import { Modal } from "antd";
import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";
import "./bot.less";
import { PhoneTwoTone } from "@ant-design/icons";
import { webRTC } from "@/util/webRtc";

const Ec = (props: Store) => {
  const [isModalOpen, setIsModalOpen] = useState<boolean>(false);
  const { usrStore } = props;
  const [userList, setUserList] = useState<any>([]);
  useEffect(() => {
    usrStore.getlist().then(() => {
      setUserList(usrStore.list);
    });
  }, [usrStore]);
  const openDispatch = () => {
    setIsModalOpen(true);
  };
  const callphone=(record:any)=>{
    webRTC.init()
    webRTC.calls()
  }
  return (
    <>
      <span onClick={openDispatch}> 应急连线</span>
      <Modal
        title={"应急连线"}
        className="owner_model"
        width={800}
        open={isModalOpen}
        afterClose={() => {}}
        onOk={() => {}}
        footer={null}
        onCancel={() => {
          setIsModalOpen(false);
        }}
      >
        <div className="ec_container">
          <div className="ec_left">
            <div className="ec_left_title">
              <h3>应急连线</h3>
            </div>
            <div className="u-item">
              {userList.map((item: any) => {
                return (
                  <div key={item.account}>
                    <div>姓名：{item.account} : 未在线</div>
                    <p></p>
                    <div>
                      点击呼叫：<PhoneTwoTone style={{ fontSize: "20px" }} onClick={(item)=>{callphone(item)}} />
                    </div>
                  </div>
                );
              })}
            </div>
          </div>
          <div className="ec_right">
            <video id="rtcVideo"></video>
            <p className="ec_right_end" onClick={()=>{
                webRTC.close()
            }}>结束通话</p>
          </div>
        </div>
      </Modal>
    </>
  );
};

export default inject("usrStore")(observer(Ec));
