import { action, makeObservable } from "mobx";
// 档案分类
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";
import baseHttp from "@/service/base";


class TrainingConfig {
    static LIST: string = "training/list"
    static ADD: string = "training"
    static DELETE: string = "training"
    static EDIT: string = "training"
    static ACCESS: string = "training/accept"
}
class TrainingStore extends BaseStore<TagDataType> {
    constructor() {
        super(TrainingConfig)
        makeObservable(this, {
            access: action
        })
    }
    async access(id: number, param: any) {
        await baseHttp.put(TrainingConfig.ACCESS + "/" + id, param)
        this.getlist()
    }
}
export const trainingStore = new TrainingStore()

