
class WebRtc {
    private mediaStream: MediaStream | Blob | null = null;
    private video: HTMLVideoElement | null = null;

    async init() {
        let constraints = { audio: false, video: true };
        this.video = document.getElementById('rtcVideo') as HTMLVideoElement;
        this.mediaStream = await navigator.mediaDevices.getUserMedia(constraints) as MediaStream | Blob
    }
    calls() {
        if (this.video) {
            this.video.srcObject = this.mediaStream;
            this.video.autoplay = true;
        }
    }

    close() {
        this.video?.pause();
        (this.mediaStream as MediaStream)?.getTracks().forEach(track => track.stop());
    }
}

export const webRTC = new WebRtc()